2014-09-08  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.61 released.

2014-08-06  Mats Lidell  <matsl@xemacs.org>

	* idna.el: New file from GNU Libidn. Added Coding cookie and load
	protection if utf-8 support is missing.
	* punycode.el: Ditto.

2014-05-15  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.60 released.

2014-05-15  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.59 released.

2014-05-13  Jerry James  <james@xemacs.org>

	* .cvsignore: Remove.
	* .hgignore: New file.
	* *.el: Restore CVS keyword expansions.

2014-04-07  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.58 released.

2014-03-25  Steve Youngs  <steve@sxemacs.org>

        * google-query.el (google-query): Complete refactoring.  Instead
        of trying to do it all "in-house" with #'open-network-stream and
        parsing process buffers, simply call #'browse-url on it.
        (google-query-process-results): Removed.
        (google-query-mode): Removed.
        (google-query-make-url-extents): Removed.
        (google-query-ext-map): Removed.
        (google-query-mode-map): Removed.
        (google-query-kill-buffer): Removed.
        (google-query-url-at-mouse): Removed.
        (google-query-url-at-point): Removed.
        (google-query-url-regexp): Removed.
        (google-query-debug): Removed.
        (google-query-mirror): Default to "https://www.google.com".
        (google-query-maxlen): Bump default to 1024.
        (google-query-version): Bump to 2.0

2012-01-10  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.57 released.

2012-01-02  Aidan Kehoe  <kehoea@parhasard.net>

	* browse-cltl2.el (cltl2-prepare-index): #'puthash, not
	#'cl-puthash, the latter is an obsolete name.

2011-12-22  Vin Shelton  <acs@xemacs.org>

	* net-utils.el (net-utils-version):  Set $Revision to the most
	recent CVS revision number.

2008-04-07  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.56 released.

2008-04-05  Steve Youngs  <steve@sxemacs.org>

	* google-query.el (google-query-process-results): Fix the regexp
	to find the URLs in the output.  Google decided to change their
	format again.
	(google-query-version): Bump to 1.9

2008-03-03  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.55 released.

2008-03-03  Didier Verna  <didier@xemacs.org>

	* feedmail.el (feedmail-fill-to-cc-function): Fix BCC regexp (add
	missing colon).
	From Volker Zell  <Dr.Volker.Zell@oracle.com>

2007-11-29  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.54 released.

2007-11-28  Aidan Kehoe  <kehoea@parhasard.net>

	* xemacsbug.el:
	Document that we speak most of the major Western languages plus
	Japanese, but that English is the working language of the project
	and reports in it are preferred.
	* xemacsbug.el (report-xemacs-bug-help):
	Don't quote the lambda expression as a list.
	* xemacsbug.el (xemacs-default-composefunc-dont-nag): New.
	defvar it here (it's been added to the core of 21.5) to avoid
	compile errors on 21.4.
	* xemacsbug.el (report-xemacs-bug):
	Bind xemacs-default-composefunc-dont-nag to avoid warnings about
	the crapness of the default email client when reporting bugs.
	* xemacsbug.el (report-xemacs-bug-hook):
	Don't quote the lambda expression as a list.

2007-06-22  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.53 released.

2007-06-21  Aidan Kehoe  <kehoea@parhasard.net>

	* xemacsbug.el (report-xemacs-bug):
	Give details of the POSIX locale, the Lisp language environment,
	and the standard coding system aliases when reporting a bug.

2007-03-06  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.52 released.

2007-03-05  Steve Youngs  <steve@sxemacs.org>

	Unless otherwise noted, what we have here is a big fat load of
	whitespace and byte-compiler warning fixes.

	* Makefile (REQUIRES): Update.

	* browse-cltl2.el (*cltl2-use-url*):
	(*cltl2-fetch-method*):
	(*cltl2-url*):
	(*cltl2-local-file-pos*):
	(*cltl2-index-file-name*):
	(*cltl2-home*):
	(*cltl2-vfd-key*):
	(*cltl2-old-find-file-noselect*): Removed.
	(*cltl2-vi-key*):
	(*cltl2-search-regexpr*):
	(cltl2-fetch-index-by-file):
	(cltl2-fetch-index-by-www):
	Various "style" fixes, whitespace, and byte-compiler fixes.

	* dig.el (dig):
	(dig-run-mode-hooks): New.
	(dig-mode):
	Sync with upstream.

	* dns-mode.el (dns-mode):
	Sync with upstream.

	* dns.el (dns-query-types):
	(dns-read-type):
	(dns-read-txt): New.
	(dns-get-txt-answer): New.
	(dns-cache): New.
	(query-dns-cached): New.
	(query-dns):
	Sync with upstream

	* feedmail.el (feedmail-confirm-outgoing):
	(feedmail-confirm-outgoing-timeout):
	(feedmail-nuke-bcc):
	(feedmail-nuke-resent-bcc):
	(feedmail-deduce-bcc-where):
	(feedmail-fill-to-cc):
	(feedmail-fill-to-cc-fill-column):
	(feedmail-nuke-bcc-in-fcc):
	(feedmail-nuke-body-in-fcc):
	(feedmail-force-expand-mail-aliases):
	(feedmail-nuke-empty-headers):
	(feedmail-sender-line):
	(feedmail-from-line):
	(feedmail-force-binary-write): Removed.
	(feedmail-sendmail-f-doesnt-sell-me-out):
	(feedmail-deduce-envelope-from):
	(feedmail-x-mailer-line-user-appendage):
	(feedmail-x-mailer-line):
	(feedmail-message-id-generator):
	(feedmail-message-id-suffix):
	(feedmail-date-generator):
	(feedmail-spray-this-address):
	(feedmail-spray-address-fiddle-plex-list):
	(feedmail-spray-via-bbdb):
	(feedmail-enable-queue):
	(feedmail-queue-directory):
	(feedmail-queue-draft-directory):
	(feedmail-ask-before-queue):
	(feedmail-ask-before-queue-prompt):
	(feedmail-ask-before-queue-reprompt):
	(feedmail-ask-before-queue-default):
	(feedmail-prompt-before-queue-standard-alist):
	(feedmail-prompt-before-queue-help-supplement):
	(feedmail-queue-reminder-alist):
	(feedmail-queue-chatty):
	(feedmail-queue-chatty-sit-for):
	(feedmail-queue-run-orderer):
	(feedmail-queue-use-send-time-for-date):
	(feedmail-queue-use-send-time-for-message-id):
	(feedmail-ask-for-queue-slug):
	(feedmail-queue-slug-maker):
	(feedmail-queue-slug-suspect-regexp):
	(feedmail-queue-default-file-slug):
	(feedmail-queue-fqm-suffix):
	(feedmail-nuke-buffer-after-queue):
	(feedmail-queue-auto-file-nuke):
	(feedmail-debug):
	(feedmail-debug-sit-for):
	(feedmail-queue-buffer-file-name):
	(feedmail-queue-runner-is-active): New.
	(feedmail-mail-send-hook-splitter):
	(feedmail-confirm-addresses-hook-example):
	(feedmail-last-chance-hook):
	(feedmail-before-fcc-hook):
	(feedmail-queue-express-hook):
	(feedmail-queue-runner-mode-setter):
	(feedmail-queue-alternative-mail-header-separator):
	(feedmail-queue-runner-message-sender):
	(feedmail-queue-runner-cleaner-upper):
	(feedmail-is-a-resend):
	(feedmail-buffer-eating-function):
	(feedmail-binmail-linuxish-template):
	(feedmail-binmail-template):
	(feedmail-buffer-to-binmail):
	(feedmail-buffer-to-sendmail):
	(feedmail-buffer-to-smtpmail):
	(feedmail-buffer-to-smtp):
	(feedmail-fiddle-plex-blurb):
	(feedmail-vm-mail-mode):
	(feedmail-send-it):
	(feedmail-queue-express-to-draft):
	(feedmail-message-action-draft-strong):
	(feedmail-message-action-queue-strong):
	(feedmail-message-action-toggle-spray):
	(feedmail-message-action-help):
	(feedmail-message-action-help-blat):
	(feedmail-run-the-queue):
	(feedmail-queue-reminder):
	(feedmail-queue-reminder-brief):
	(feedmail-queue-reminder-medium):
	(feedmail-queue-send-edit-prompt-inner):
	(feedmail-scroll-buffer):
	(feedmail-look-at-queue-directory):
	(feedmail-tidy-up-slug):
	(feedmail-queue-subject-slug-maker):
	(feedmail-create-queue-filename):
	(feedmail-dump-message-to-queue):
	(feedmail-rfc822-time-zone):
	(feedmail-rfc822-date):
	(feedmail-send-it-immediately-wrapper):
	(feedmail-send-it-immediately):
	(feedmail-fiddle-header):
	(feedmail-give-it-to-buffer-eater):
	(feedmail-envelope-deducer):
	(feedmail-fiddle-from):
	(feedmail-fiddle-sender):
	(feedmail-default-date-generator):
	(feedmail-fiddle-date):
	(feedmail-default-message-id-generator):
	(feedmail-fiddle-message-id):
	(feedmail-default-x-mailer-generator):
	(feedmail-fiddle-x-mailer):
	(feedmail-fiddle-spray-address):
	(feedmail-fiddle-list-of-spray-fiddle-plexes):
	(feedmail-fiddle-list-of-fiddle-plexes):
	(feedmail-accume-n-nuke-header):
	(feedmail-fill-to-cc-function):
	(feedmail-fill-this-one):
	(mail-utils):
	(feedmail-one-last-look):
	(feedmail-say-debug):
	(feedmail-say-chatter):
	(feedmail-find-eoh):
	This is nearly all whitespace fixes, keeping everything under 80
	columns.  Plus various byte-compiler fixes.

	* metamail.el (metamail-region):

	* mozmail.el (mozmail-version): New.  Use instead of relying on
	CVS tags.
	(mozmail-url-unhex): New.  Removes dependence on w3.
	(mozmail-url-unhex-string): New. Removes dependence on w3
	(mozmail-compose-gnus): Use `mozmail-url-unhex-string'.
	(mozmail-populate-headers): Ditto.

	* net-utils.el:

	* rcompile.el:

	* shadowfile.el (shadow-expand-cluster-in-file-name):
	(shadow-copy-file):

	* xemacsbug.el:

	* xml.el (xml-parse-region):
	(xml-parse-tag):

2007-01-17  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.51 released.

2006-12-29  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.50 released.

2006-12-29  Aidan Kehoe  <kehoea@parhasard.net>

	* json.el:
	Imported from http://edward.oconnor.cx/elisp/json.el.
	* json.el (json-unicode-setup): New.
	This function checks what Unicode support is available in the
	current emacs, and initialises json-encode-char0 and
	json-decode-char0 (intended to be workalikes for encode-char and
	decode-char) as appropriate. In 21.4, the function is re-evaluated
	after un-decode (the entry point for Mule-UCS) is loaded.

2006-09-25  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.49 released.

2006-09-25  Steve Youngs  <steve@sxemacs.org>

	* google-query.el (google-query-version): Don't use the RCS header
	to get the version.
	(google-query-process-results): Google changed the format of their
	search results pages a little, update this to compensate.
	(google-query): No need to send ssl extension in the request.
	Send either "SXEmacs" or "XEmacs" as part of the user-agent
	string, depending on which flavour is being used.

	Somewhere along the line, google-query.el stopped working because
	the Google folks decided to change the HTML of the search results
	pages.  This changeset takes care of that.  Plus a couple of minor
	things like nuking the RCS header and local-variables section.

2005-10-12  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.48 released.

2005-10-06  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.47 released.

2005-10-01  Steve Youngs  <steve@sxemacs.org>

	* xml.el (xml-parse-region):
	* xml.el (xml-parse-tag):
	Fix bug where an empty element written as <foo/> incorrectly has a
	list of children.
	From: David Aspinall <David.Aspinall@ed.ac.uk>

2005-05-01  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.46 released.

2005-05-01  Steve Youngs  <steve@sxemacs.org>

	* google-query.el (google-query-url-at-point): New.  Runs
	`browse-url' without the need for `thing-at-point'.
	(google-query-url-at-mouse): New.  As above, via a rat.
	(google-query-map): Use them.
	(google-query-kill-buffer): New.  Convenience function for killing
	the results buffer without being asked confirmation.
	(google-query-mode-map): New.  Keymap for results buffer.
	(google-query-ext-map): New.  Keymap for extents in results
	buffer.  Replaces `google-query-map'.
	(google-query-map): Removed.
	(google-query-make-url-extents): Use `google-query-ext-map'
	instead of `google-query-map'.
	(google-query-mode): New.  Major mode for results buffer.
	(google-query-process-results): Use `google-query-mode' instead of
	fooling around with electric help.
	Tweak the code for filtering out all the useless crud that google
	returns.
	Fill the results.

2005-03-14  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.45 released.

2005-03-13  Steve Youngs  <steve@sxemacs.org>

	* dns-mode.el: New file.

2004-09-29  Steve Youngs  <steve@youngs.au.com>

	* Makefile (REQUIRES): Add ecrypto.
	(MAINTAINER): Update my email address.

2004-07-14  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.44 released.

2004-06-10  Steve Youngs  <steve@youngs.au.com>

	* mozmail.el: Add some comments about an alternative way to set
	things up on GNOME.
	From Juergen Kreileder <jk@blackdown.de>

2004-05-19  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.43 released.

2004-05-16  Steve Youngs  <steve@youngs.au.com>

	* mozmail.el: Autoload `wl-draft' for wanderlust.
	(mozmail-default-mua): Add Wanderlust.
	(mozmail-compose-wanderlust): New.
	Wanderlust additions are
	From Markus Knittig <markus.knittig@arcor.de>

	(mozmail-split-url): Allow for incorrect case used in mailto link
	keywords.

	Update commentary section.

2004-04-01  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.42 released.

2004-04-01  Steve Youngs  <sryoungs@bigpond.net.au>

	* mozmail.el: Remove an autoload.

2004-04-01  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.41 released.

2004-04-01  Steve Youngs  <sryoungs@bigpond.net.au>

	* Makefile (REQUIRES): Add mh-e, mew.

	* mozmail.el (mozmail-default-mua): New.
	(mozmail-populate-headers): New.
	(mozmail-compose-vm): New.
	From Jeff Nye <jpn@users.sourceforge.net>
	(mozmail-compose-mhe): New.
	(mozmail-compose-mew): New.
	(mozmail-compose-emacs): New.
	(mozmail-compose-rmail): New.
	(mozmail): Use `mozmail-compose' instead of
	`mozmail-compose-gnus'.

	Update the file's commentary section.

2004-03-31  Steve Youngs  <sryoungs@bigpond.net.au>

	* mozmail.el (mozmail): New custom group.
	(mozmail-gnus-is-plugged): New.
	(mozmail-compose-gnus): Use it.

2004-03-19  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.40 released.

2004-03-19  Steve Youngs  <sryoungs@bigpond.net.au>

	* mozmail.el: url-unhex-string is in url-util.el in the upstream
	url package, but it is in url.el in the XEmacs W3 package.
	Conditionalise the autoload.

2004-03-19  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.39 released.

2004-03-19  Steve Youngs  <sryoungs@bigpond.net.au>

	* dns.el (dns-make-network-process): Use `open-network-stream'
	instead of `gnus-xmas-open-network-stream'.
	Don't require gnus-xmas.

	* mozmail.el (mozmail-split-string): New.  For GNU/Emacs
	compatibility.
	(mozmail-split-url): Use it.

2004-01-04  Mario Lang  <lang@zid.tugraz.at>

	* dns.el: Add support for AAAA records (see RFC 3596)
	Fix typo PRT -> PTR
	Parse MX, PTR and SOA replies (see RFC 1035)

2004-01-12  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.38 released.

2004-01-12  Steve Youngs  <sryoungs@bigpond.net.au>

	* Makefile (REQUIRES): Add fsf-compat for browse-clt12.
	(DONTCOMPILE): New.
	(ELCS): Use it.

2004-01-07  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.37 released.

2004-01-07  Steve Youngs  <sryoungs@bigpond.net.au>

	* google-query.el: Don't autoload `url-hexify-string'.
	(google-query-unreserved-chars): New.
	(google-query-hexify-string): New.
	(google-query): Use it.
	Remove eye-candy.

	(google-query-result-count): New.
	(google-query): Use it.
	From Jeff Mincy <jeff@delphioutpost.com>

2004-01-05  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.36 released.

2004-01-05  Steve Youngs  <sryoungs@bigpond.net.au>

	* google-query.el: New.

	* mozmail.el: New.

	* package-info.in (provides): Add `google-query', `mozmail'.

2003-12-03  Katsumi Yamaoka  <yamaoka@jpl.org>

	* dns.el: Fix misplaced eval-when-compile.

2003-12-04  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.35 released.

2003-12-03  Steve Youngs  <sryoungs@bigpond.net.au>

	* xml.el: defalias `match-string-no-properties' to
	`match-string'.

	* webster-www.el: Autoload `w3-form-encode-xwfu' at compile time.

	* net-utils.el: Autoload `ffap-string-at-point' at compile time.

	* feedmail.el: Require smtpmail at compile time.

	* browse-cltl2.el (url-retrieve): Autoload it.

	* Makefile (AUTHOR_VERSION): Set to N/A.
	(MAINTAINER): Set to me.
	(ELCS): Change to something a whole lot easier to maintain using
	patsubst.
	(REQUIRES): Remove fsf-compat, add vm.

2003-11-29  Jerry James  <james@xemacs.org>

	* dns.el: Autoloading 'gnus-xmacs-open-network-stream did not
	work.  Require gnus-xmas when compiling instead.

2003-11-18  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.34 released.

2003-11-17  Steve Youngs  <sryoungs@bigpond.net.au>

	* xemacsbug.el (report-xemacs-bug-packages-list): New.
	(report-xemacs-bug): Use it.

2003-10-31  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.33 released.

2003-05-02  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.32 released.

2003-05-02  Steve Youngs  <youngs@xemacs.org>

	* dig.el: New.

	* dns.el: New.

	* xml.el: New.

	* Makefile (ELCS): Add dig.elc, dns.elc, xml.elc.

	* package-info.in (provides): Add dig, dns, xml.

2003-03-09  Ben Wing  <ben@xemacs.org>

	* Makefile:
	Delete explicit compile:: and binkit: rules.
	Don't add custom-load.elc to the list of generated elc's.

2003-01-24  Rendhalver [Peter Brown]  <rendhalver@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.31 released.

2003-01-23  Steve Youngs  <youngs@xemacs.org>

	* xemacsbug.el (report-xemacs-bug-beta-extra-headers): Default to
	nil.
	(report-xemacs-bug-hook): Remove code that converted non-ASCII
	characters to hex.  As advised by Stephen Turnbull.

2003-01-18  Rendhalver [Peter Brown]  <rendhalver@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.30 released.

2003-01-16  Steve Youngs  <youngs@xemacs.org>

	* xemacsbug.el (report-xemacs-bug): Prepend "[Bug:
	emacs-program-version]" to subject header.
	Move all the instructions and explanations into the "*Bug Help*"
	buffer.
	List loaded modules.
	(report-xemacs-bug-help): New.
	(report-xemacs-bug-hook): Use electric help.
	Fix bug that was causing an error when searching for the Cc
	header.

2003-01-13  Steve Youngs  <youngs@xemacs.org>

	* xemacsbug.el (report-xemacs-bug): Different mail-user-agent's
	have different hooks, add code to cater to this.
	(report-xemacs-bug-hook): Ditto.
	Don't put stuff in *Bug Help* buffer if
	'report-xemacs-bug-no-explanations' is t.

2003-01-12  Steve Youngs  <youngs@xemacs.org>

	* xemacsbug.el (report-xemacs-bug-address): Put address in angled
	brackets.
	(report-xemacs-bug-beta-address): Ditto.
	(report-xemacs-bug-beta-extra-headers): Change Cc to my address.
	(report-xemacs-bug): Update Instructions.

2003-01-03  Rendhalver [Peter Brown]  <rendhalver@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.29 released.

2002-12-17  Jerry James  <james@xemacs.org>

	* Makefile (REQUIRES): Add bbdb and gnus to autoload macro
	definitions, and rmail, tm, and apel to satisfy transitive
	dependencies on gnus.
	* feedmail.el: Require bbdb-com at compile time to define
	the bbdb-search macro.

2002-11-29  Ben Wing  <ben@xemacs.org>

	* .cvsignore: Remove files now handled automatically by CVS.
	* Makefile: Use `compile' instead of hard-coded `all'.

2002-10-15  Ville Skyttä  <scop@xemacs.org>

	* Makefile (srckit): Remove.

2002-08-29  Rendhalver [Peter Brown]  <rendhalver@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.28 released.

2002-08-27  Ville Skyttä  <scop@xemacs.org>

	* Makefile (REQUIRES): Add fsf-compat, eterm and sh-script,
	they're indirectly required.

2002-08-19  Steve Youngs  <youngs@xemacs.org>

	* xemacsbug.el (report-xemacs-bug): Show the correct key bindings
	for MH-e.

2002-06-27  Steve Youngs  <youngs@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.27 released.

2002-06-26  Steve Youngs  <youngs@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.26 released.

	* net-utils.el: Remove $Log keyword and some of the entries that
	are in the ChengeLog.

2002-06-24  Adrian Aichner  <adrian@xemacs.org>

	* net-utils.el (traceroute-program-options): Fix custom type
	(repeat string).
	* net-utils.el (ping-program-options): Ditto.
	* net-utils.el (ipconfig-program-options): Ditto.
	* net-utils.el (netstat-program-options): Ditto.
	* net-utils.el (arp-program-options): Ditto.
	* net-utils.el (route-program-options): Ditto.
	* net-utils.el (nslookup-program-options): Ditto.
	* net-utils.el (ftp-program-options): Ditto.

2002-06-04  Steve Youngs  <youngs@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.25 released.

	* xemacsbug.el (report-xemacs-bug-extra-headers): New.
	(report-xemacs-bug-beta-extra-headers): New.
	(report-xemacs-bug): Use them.
	Test whether using a beta XEmacs with 'xemacs-betaname'.

2002-02-23  Steve Youngs  <youngs@xemacs.org>

	* package-info.in (provides): Typo.

2002-02-23  Peter Arius  <peter.arius@erln.gepas.de>

	* shadowfile.el (shadow-write-info-file): Use 'buffer-live-p' to
	check for killed buffers.
	(shadow-write-todo-file): Ditto.
	(shadow-save-todo-file): Ditto.

2001-09-28  Stephen J. Turnbull  <stepheen@xemacs.org>

	* xemacsbug.el (report-emacs-bug):  Missing autoload.

2001-08-22  Steve Youngs  <youngs@xemacs.org>

	* xemacsbug.el (report-xemacs-bug): Use 'report-xemacs-bug-hook'
	instead of 'report-emacs-bug-hook'.

2001-08-15  Steve Youngs  <youngs@xemacs.org>

	* xemacsbug.el (report-xemacs-bug): Include the load-path
	shadows in the bug report. (Thanks to Adrian A. for help on this)

2001-08-07  Steve Youngs  <youngs@xemacs.org>

	* xemacsbug.el (report-xemacs-bug-send-init): New.
	(report-xemacs-bug): Use it.

2001-08-06  Steve Youngs  <youngs@xemacs.org>

	* emacsbug.el: Removed.

	* xemacsbug.el: New file, replaces the old 'emacsbug.el'.

	* Makefile (ELCS): Remove emacsbug.elc and use xemacsbug.elc.

2001-07-14  Steve Youngs  <youngs@xemacs.org>

	* emacsbug.el (report-emacs-bug-address): Change address to
	xemacs-beta@xemacs.org.

2001-07-05  Adrian Aichner  <adrian@xemacs.org>

	* webjump.el (webjump-sample-sites): Update webster site.

2001-07-03  Stephen J. Turnbull  <stephen@xemacs.org>

	* emacsbug.el(report-emacs-bug-address): Move comment closer.
	Change to "xemacs-beta@cvs.xemacs.org" to improve response time.

2001-05-12  Steve Youngs  <youngs@xemacs.org>

	* feedmail.el: Sync with version 10.

2001-01-09  Gunnar Evermann  <ge204@eng.cam.ac.uk>

	* emacsbug.el (report-emacs-bug-info): Jump to info node
	"(xemacs)Bugs".
	From Klaus Frank <klausf@i3.informatik.rwth-aachen.de>

2000-10-05  Martin Buchholz  <martin@xemacs.org>

	* *: Mega typo fix.

1998-07-01  SL Baur  <steve@altair.xemacs.org>

	* feedmail.el: synched with version 8.

1998-05-18  Damon Lipparelli  <lipp@primus.com>

	* metamail.el: (metamail-region): replace bogus use of `concat'.

1998-06-01  SL Baur  <steve@altair.xemacs.org>

	* browse-cltl2.el: Synch with v1.1.4.

1998-04-05  Tomasz Cholewo  <tjchol01@mecca.spd.louisville.edu>

	* webster-www.el (webster-www-thesaurus): New function.

1998-03-30  SL Baur  <steve@altair.xemacs.org>

	* feedmail.el: Updated.

1998-03-22  SL Baur  <steve@altair.xemacs.org>

	* net-utils.el: Add autoload cookies for convenience.
	(ping-program-options): It's system type 'linux in XEmacs.

1998-03-10  SL Baur  <steve@altair.xemacs.org>

	* webjump.el (webjump-sample-sites): Fix typo.
	(webjump): Use assoc-ignore-case for locating the proper URL

1998-01-24  SL Baur  <steve@altair.xemacs.org>

	* Makefile (VERSION): Update to package standard 1.0.
	* package-info.in: Ditto.

1998-01-12  SL Baur  <steve@altair.xemacs.org>

	* Makefile: Update to newer package interface.

1998-01-05  SL Baur  <steve@altair.xemacs.org>

	* Makefile: Created.

